org.apache.lucene.codecs.blockterms

## Class FixedGapTermsIndexReader

- java.lang.Object
- - org.apache.lucene.codecs.blockterms.TermsIndexReaderBase
  - - org.apache.lucene.codecs.blockterms.FixedGapTermsIndexReader

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class FixedGapTermsIndexReader
    extends TermsIndexReaderBase

TermsIndexReader for simple every Nth terms indexes.

See Also:
  `FixedGapTermsIndexWriter`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

`TermsIndexReaderBase.FieldIndexEnum`

### Constructor Summary

Constructors
Constructor and Description
`FixedGapTermsIndexReader(Directory dir, FieldInfos fieldInfos, String segment, int indexDivisor, Comparator<BytesRef> termComp, String segmentSuffix, IOContext context)`

### Method Summary

Methods
`void` `close()`
`int` `getDivisor()`
`TermsIndexReaderBase.FieldIndexEnum` `getFieldEnum(FieldInfo fieldInfo)`
`boolean` `supportsOrd()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedGapTermsIndexReader

    public FixedGapTermsIndexReader(Directory dir,
                            FieldInfos fieldInfos,
                            String segment,
                            int indexDivisor,
                            Comparator<BytesRef> termComp,
                            String segmentSuffix,
                            IOContext context)
                             throws IOException

Throws:
  `IOException`

### Method Detail

#### getDivisor

    public int getDivisor()

Specified by:
  `getDivisor` in class `TermsIndexReaderBase`

#### supportsOrd

    public boolean supportsOrd()

Specified by:
  `supportsOrd` in class `TermsIndexReaderBase`

#### getFieldEnum

    public TermsIndexReaderBase.FieldIndexEnum getFieldEnum(FieldInfo fieldInfo)

Specified by:
  `getFieldEnum` in class `TermsIndexReaderBase`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `TermsIndexReaderBase`
Throws:
  `IOException`